// ListCtrlDemoDlg.h : header file
//

#if !defined(AFX_LISTCTRLDEMODLG_H__2AF72758_F723_11D1_BDEF_0060970F880E__INCLUDED_)
#define AFX_LISTCTRLDEMODLG_H__2AF72758_F723_11D1_BDEF_0060970F880E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CListCtrlDemoDlg dialog

#include "MyListCtrl.h"

class CListCtrlDemoDlg : public CDialog
{
// Construction
public:
	CListCtrlDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CListCtrlDemoDlg)
	enum { IDD = IDD_LISTCTRLDEMO_DIALOG };
	CMyListCtrl	m_listCtrl;
	CButton m_rbtnLargeIcons;
	CButton m_rbtnSmallIcons;
	CButton m_rbtnList;
	CButton m_rbtnReport;
	//}}AFX_DATA

protected:
	CImageList m_imageListLargeIcons;
	CImageList m_imageListSmallIcons;

protected:
	void AddColumn(CString strColumnName, int nFormat = LVCFMT_LEFT, int iColumn = -1);
	void ResizeColumns();
	int GetColumnCount();

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListCtrlDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CListCtrlDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnAbout();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRbtnViewLargeIcon();
	afx_msg void OnRbtnViewList();
	afx_msg void OnRbtnViewReport();
	afx_msg void OnRbtnViewSmallIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTCTRLDEMODLG_H__2AF72758_F723_11D1_BDEF_0060970F880E__INCLUDED_)
